Bug 1477198 - [GSS][RCA] One directory was missing from half of the bricks and not accessible via SMB from clients
[GSS][RCA] One directory was missing from half of the bricks and not accessib...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: disperse (Show other bugs)
3.2
Unspecified Linux
medium Severity high
: ---
: ---
Assigned To: Ashish Pandey
nchilaka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 08:53 EDT by Pan Ousley
Modified: 2017-10-23 02:08 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-23 02:08:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pan Ousley 2017-08-01 08:53:36 EDT
Customer description: We have found a folder that is inaccessible via SMB. Further inspection revealed the folder is missing on half of the bricks. We would like to know how this happened/happens and if it is symptomatic of a bigger issue.

Note: The problematic directory, as well as its parent directories, have since been deleted so we were unable to compare stat/getfattr information with the parent directory.

Version-Release number of selected component (if applicable): Customer has a RHGS 3.2 dispersed 1 x (4+2) cluster and clients with various OSes. The client where the issue was observed is a RHEL 7 cifs mount.

We have observed these messages (and more like these) in the logs but are unsure about their implications:

[2017-07-10 00:04:33.383166] W [MSGID: 122006] [ec-combine.c:206:ec_iatt_combine] 0-lss-disperse-0: Failed to combine iatt (inode: 13396472542319013809-13396472542319013809, links: 1-1, uid: 56355-56355, gid: 101-101, rdev: 0-0, size: 0-16384, mode: 100700-100700)
[2017-07-10 00:04:33.383206] N [MSGID: 122029] [ec-generic.c:683:ec_combine_lookup] 0-lss-disperse-0: Mismatching iatt in answers of 'GF_FOP_LOOKUP'
[2017-07-10 00:04:34.134453] W [MSGID: 122006] [ec-combine.c:206:ec_iatt_combine] 0-lss-disperse-0: Failed to combine iatt (inode: 13396472542319013809-13396472542319013809, links: 1-1, uid: 56355-56355, gid: 101-101, rdev: 0-0, size: 0-16384, mode: 100700-100700)

I will provide more information in private comments below. Sosreports and logs are attached to the case and accessible via collab-shell. Please let me know if any additional information is necessary.

Note You need to log in before you can comment on or make changes to this bug.